Index: branches/atmospheric_engine/src/lib/graphics/effects/fog_effect.cc
===================================================================
--- branches/atmospheric_engine/src/lib/graphics/effects/fog_effect.cc	(revision 7651)
+++ branches/atmospheric_engine/src/lib/graphics/effects/fog_effect.cc	(revision 7652)
@@ -1,14 +1,14 @@
 /*
-   orxonox - the future of 3D-vertical-scrollers
+	orxonox - the future of 3D-vertical-scrollers
 
-   Copyright (C) 2004 orx
+	Copyright (C) 2004 orx
 
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
+	This program is free software; you can redistribute it and/or modify
+	it under the terms of the GNU General Public License as published by
+	the Free Software Foundation; either version 2, or (at your option)
+	any later version.
 
 ### File Specific:
-   main-programmer: hdavid, amaechler
+	main-programmer: hdavid, amaechler
 */
 
@@ -22,7 +22,7 @@
 /*#include "shell_command.h"
 SHELL_COMMAND(activateFog, FogEffect, FogEffect::activate)
-  ->setAlias("aFog");
+	->setAlias("aFog");
 SHELL_COMMAND(deactivateFog, FogEffect, FogEffect::deactivate)
-  ->setAlias("dFog");*/
+	->setAlias("dFog");*/
 
 using namespace std;
@@ -32,15 +32,15 @@
 FogEffect::FogEffect(const TiXmlElement* root)
 {
-  this->setClassID(CL_FOG_EFFECT, "FogEffect");
-  
-  this->fogMode = GL_LINEAR;
-  this->fogDensity = 0.001f;
-  this->fogStart = 10.0f;
-  this->fogEnd = 1000.0f;
+	this->setClassID(CL_FOG_EFFECT, "FogEffect");
+	
+	this->fogMode = GL_LINEAR;
+	this->fogDensity = 0.001f;
+	this->fogStart = 10.0f;
+	this->fogEnd = 1000.0f;
 
-  if (root != NULL)
-    this->loadParams(root);
+	if (root != NULL)
+		this->loadParams(root);
 
-  this->activate();
+	this->activate();
 }
 
@@ -49,5 +49,5 @@
 FogEffect::~FogEffect()
 {
-  this->deactivate();
+	this->deactivate();
 }
 
@@ -55,9 +55,9 @@
 void FogEffect::loadParams(const TiXmlElement* root)
 {
-  WeatherEffect::loadParams(root);
+	WeatherEffect::loadParams(root);
 
-  LoadParam(root, "fog-mode", this, FogEffect, setFogMode);
-  LoadParam(root, "fog-density", this, FogEffect, setFogDensity);
-  LoadParam(root, "fog-color", this, FogEffect, setFogColor);
+	LoadParam(root, "fog-mode", this, FogEffect, setFogMode);
+	LoadParam(root, "fog-density", this, FogEffect, setFogDensity);
+	LoadParam(root, "fog-color", this, FogEffect, setFogColor);
 
 
@@ -71,21 +71,21 @@
 bool FogEffect::activate()
 {
-  PRINTF(0)( "Enabling FogEffect, mode: %i, density: %f, start: %f, end: %f, color %f, %f, %f\n", this->fogMode, this->fogDensity, this->fogStart, this->fogEnd, this->colorVector.x, this->colorVector.y, this->colorVector.z);
+	PRINTF(0)( "Enabling FogEffect, mode: %i, density: %f, start: %f, end: %f, color %f, %f, %f\n", this->fogMode, this->fogDensity, this->fogStart, this->fogEnd, this->colorVector.x, this->colorVector.y, this->colorVector.z);
 
-  glEnable(GL_FOG);
-  {
-    //GLfloat fogColor[4] = {0.7, 0.6, 0.6, 1.0};
-    GLfloat fogColor[4] = { colorVector.x, colorVector.y, colorVector.z, 1.0};
+	glEnable(GL_FOG);
+	{
+		//GLfloat fogColor[4] = {0.7, 0.6, 0.6, 1.0};
+		GLfloat fogColor[4] = { colorVector.x, colorVector.y, colorVector.z, 1.0};
 
-    glFogi(GL_FOG_MODE, this->fogMode);
-    glFogfv(GL_FOG_COLOR, fogColor);
-    glFogf(GL_FOG_DENSITY, this->fogDensity);
-    glHint(GL_FOG_HINT, GL_DONT_CARE);
-    glFogf(GL_FOG_START, this->fogStart);
-    glFogf(GL_FOG_END, this->fogEnd);
+		glFogi(GL_FOG_MODE, this->fogMode);
+		glFogfv(GL_FOG_COLOR, fogColor);
+		glFogf(GL_FOG_DENSITY, this->fogDensity);
+		glHint(GL_FOG_HINT, GL_DONT_CARE);
+		glFogf(GL_FOG_START, this->fogStart);
+		glFogf(GL_FOG_END, this->fogEnd);
 
-    //glFogi(GL_FOG_COORDINATE_SOURCE, GL_FOG_COORDINATE);
-  }
-  glClearColor(0.5, 0.5, 0.5, 1.0);
+		//glFogi(GL_FOG_COORDINATE_SOURCE, GL_FOG_COORDINATE);
+	}
+	glClearColor(0.5, 0.5, 0.5, 1.0);
 }
 
@@ -93,5 +93,5 @@
 bool FogEffect::deactivate()
 {
-  PRINTF(0)("Deactivating FogEffect\n");
+	PRINTF(0)("Deactivating FogEffect\n");
 	glDisable(GL_FOG);
 }
@@ -101,12 +101,12 @@
 GLint FogEffect::stringToFogMode(const std::string& mode)
 {
-  if(mode == "GL_LINEAR")
-    return GL_LINEAR;
-  else if(mode == "GL_EXP")
-    return GL_EXP;
-  else if(mode == "GL_EXP2" )
-    return GL_EXP2;
-  else
-    return -1;
+	if(mode == "GL_LINEAR")
+		return GL_LINEAR;
+	else if(mode == "GL_EXP")
+		return GL_EXP;
+	else if(mode == "GL_EXP2" )
+		return GL_EXP2;
+	else
+		return -1;
 }
 
Index: branches/atmospheric_engine/src/lib/graphics/effects/fog_effect.h
===================================================================
--- branches/atmospheric_engine/src/lib/graphics/effects/fog_effect.h	(revision 7651)
+++ branches/atmospheric_engine/src/lib/graphics/effects/fog_effect.h	(revision 7652)
@@ -1,5 +1,5 @@
 /**
- * @file fog_effect.h
- */
+* @file fog_effect.h
+*/
 
 #ifndef _FOG_EFFECT
@@ -12,31 +12,31 @@
 class FogEffect : public WeatherEffect
 {
-  public:
-    FogEffect(const TiXmlElement* root = NULL);
-    virtual ~FogEffect();
+	public:
+		FogEffect(const TiXmlElement* root = NULL);
+		virtual ~FogEffect();
 
-    virtual void loadParams(const TiXmlElement* root);
+		virtual void loadParams(const TiXmlElement* root);
 
-    virtual bool init();
+		virtual bool init();
 
-    virtual bool activate();
-    virtual bool deactivate();
+		virtual bool activate();
+		virtual bool deactivate();
 
-    inline void setFogMode(const std::string& mode) { this->fogMode = this->stringToFogMode(mode); }
-    inline void setFogDensity(float density) { this->fogDensity = density; }
-    inline void setFogRange(float start, float end) { this->fogStart = start; this->fogEnd = end; }
-    inline void setFogColor(float r, float g, float b) { this->colorVector = Vector(r, g, b); }
+		inline void setFogMode(const std::string& mode) { this->fogMode = this->stringToFogMode(mode); }
+		inline void setFogDensity(float density) { this->fogDensity = density; }
+		inline void setFogRange(float start, float end) { this->fogStart = start; this->fogEnd = end; }
+		inline void setFogColor(float r, float g, float b) { this->colorVector = Vector(r, g, b); }
 
 
-  private:
-    GLint stringToFogMode(const std::string& mode);
+	private:
+		GLint stringToFogMode(const std::string& mode);
 
 
-  private:
-    GLint                   fogMode;
-    GLfloat                 fogDensity;
-    GLfloat                 fogStart;
-    GLfloat                 fogEnd;
-    Vector                  colorVector;
+	private:
+		GLint                   fogMode;
+		GLfloat                 fogDensity;
+		GLfloat                 fogStart;
+		GLfloat                 fogEnd;
+		Vector                  colorVector;
 };
 
Index: branches/atmospheric_engine/src/lib/graphics/effects/rain_effect.cc
===================================================================
--- branches/atmospheric_engine/src/lib/graphics/effects/rain_effect.cc	(revision 7651)
+++ branches/atmospheric_engine/src/lib/graphics/effects/rain_effect.cc	(revision 7652)
@@ -20,6 +20,5 @@
 
 #include "glincl.h"
-// #include "debug.h"
-
+#include "p_node.h"
 #include "state.h"
 #include "spark_particles.h"
@@ -37,24 +36,22 @@
 RainEffect::RainEffect(const TiXmlElement* root)
 {
-  this->setClassID(CL_RAIN_EFFECT, "RainEffect");
+	this->setClassID(CL_RAIN_EFFECT, "RainEffect");
 
-  if (root != NULL)
-    this->loadParams(root);
+	this->init();
 
-  // this->soundSource.setSourceNode(this);
+	if (root != NULL)
+		this->loadParams(root);
 
-  //load sound
-  if (this->rainBuffer != NULL)
-    ResourceManager::getInstance()->unload(this->rainBuffer);
-  this->rainBuffer = (SoundBuffer*)ResourceManager::getInstance()->load("sound/rain.wav", WAV);
+	//load sound
+	if (this->rainBuffer != NULL)
+		ResourceManager::getInstance()->unload(this->rainBuffer);
+	this->rainBuffer = (SoundBuffer*)ResourceManager::getInstance()->load("sound/rain.wav", WAV);
 
-  this->init();
-
-  this->activate();
+	this->activate();
 }
 
 RainEffect::~RainEffect()
 {
-  this->deactivate();
+	this->deactivate();
 }
 
@@ -63,8 +60,10 @@
 	WeatherEffect::loadParams(root);
 
+	LoadParam(root, "moverain", this, RainEffect, setMoveRain);
 	LoadParam(root, "coord", this, RainEffect, setRainCoord);
 	LoadParam(root, "size", this, RainEffect, setRainSize);
 	LoadParam(root, "rate", this, RainEffect, setRainRate);
 	LoadParam(root, "velocity", this, RainEffect, setRainVelocity);
+	LoadParam(root, "life", this, RainEffect, setRainLife);
 }
 
@@ -72,6 +71,12 @@
 bool RainEffect::init()
 {
-  this->emitter = new PlaneEmitter(this->rainSize);
+	//Default values
+	this->rainCoord = Vector(500, 500, 500);
+	this->rainSize = Vector2D(1000, 1000);
+	this->rainRate = 5000;
+	this->rainVelocity = -300;
+	this->rainLife = 2;
 
+	this->emitter = new PlaneEmitter(this->rainSize);
 }
 
@@ -81,11 +86,11 @@
 bool RainEffect::activate()
 {
-	PRINTF(0)( "Activating RainEffect, coord: %f, %f, %f, size: %f, %f, rate: %f, velocity: %f\n", this->rainCoord.x, this->rainCoord.y, this->rainCoord.z, this->rainSize.x, this-> rainSize.y, this->rainRate, this->rainVelocity );
+	PRINTF(0)( "Activating RainEffect, coord: %f, %f, %f, size: %f, %f, rate: %f, velocity: %f, moveRain: %s\n", this->rainCoord.x, this->rainCoord.y, this->rainCoord.z, this->rainSize.x, this-> rainSize.y, this->rainRate, this->rainVelocity, this->rainMove ? "true" : "false" );
 
 	if (unlikely(RainEffect::rainParticles == NULL))
 	{
-		RainEffect::rainParticles = new SparkParticles(10000);
+		RainEffect::rainParticles = new SparkParticles(50000);
 		RainEffect::rainParticles->setName("RainParticles");
-		RainEffect::rainParticles->setLifeSpan(2, 2);
+		RainEffect::rainParticles->setLifeSpan(this->rainLife, 2);
 		RainEffect::rainParticles->setRadius(0.02, 0.02);
 		RainEffect::rainParticles->setRadius(0.01, 0.01);
@@ -98,6 +103,4 @@
 
 	this->emitter->setSystem(RainEffect::rainParticles);
-
-	// RainEffect::rainParticles->debug();
 
 	this->emitter->setRelCoor(this->rainCoord);
@@ -115,11 +118,19 @@
 bool RainEffect::deactivate()
 {
-  PRINTF(0)("Deactivating RainEffect\n");
+	PRINTF(0)("Deactivating RainEffect\n");
 
-  this->emitter->setSystem(NULL);
+	this->emitter->setSystem(NULL);
 }
 
 void RainEffect::tick (float dt)
 {
+	//float distance = (State::getCameraNode()->getAbsCoor() - rainCoord).len();
+	
+	// PRINTF(0)( "RainEffect, coords: %f, %f, %f\n", this->rainCoord.x, this->rainCoord.y, this->rainCoord.z );
 
+	//if (this->rainMove) {
+		//PRINTF(0)( "Moving Rain" );
+	//	this->rainCoord = State::getCameraNode()->getAbsCoor();
+	//	this->emitter->setRelCoor(this->rainCoord.x +150, this->rainCoord.y+700, this->rainCoord.z+150);
+	//}
 }
Index: branches/atmospheric_engine/src/lib/graphics/effects/rain_effect.h
===================================================================
--- branches/atmospheric_engine/src/lib/graphics/effects/rain_effect.h	(revision 7651)
+++ branches/atmospheric_engine/src/lib/graphics/effects/rain_effect.h	(revision 7652)
@@ -1,5 +1,5 @@
 /**
- * @file rain_effect.h
- */
+* @file rain_effect.h
+*/
 
 #ifndef _RAIN_EFFECT
@@ -22,33 +22,38 @@
 class RainEffect : public WeatherEffect
 {
-  public:
-    RainEffect(const TiXmlElement* root = NULL);
-    virtual ~RainEffect();
+	public:
+		RainEffect(const TiXmlElement* root = NULL);
+		virtual ~RainEffect();
 
-    virtual void loadParams(const TiXmlElement* root);
+		virtual void loadParams(const TiXmlElement* root);
 
-    virtual bool init();
+		virtual bool init();
 
-    virtual bool activate();
-    virtual bool deactivate();
+		virtual bool activate();
+		virtual bool deactivate();
 
-    virtual void tick(float dt);
+		virtual void tick(float dt);
 
-    inline void setRainCoord(float x, float y, float z) { this->rainCoord = Vector(x, y, z); }
-    inline void setRainSize(float x, float y) { this->rainSize = Vector2D(x, y); }
-    inline void setRainRate(float rate) { this->rainRate = rate;}
-    inline void setRainVelocity(float velocity) { this->rainVelocity = -velocity; }
+		inline void setRainCoord(float x, float y, float z) { this->rainCoord = Vector(x, y, z); }
+		inline void setRainSize(float x, float y) { this->rainSize = Vector2D(x, y); }
+		inline void setRainRate(float rate) { this->rainRate = rate;}
+		inline void setRainVelocity(float velocity) { this->rainVelocity = -velocity; }
+		inline void setRainLife(float life) { this->rainLife = life; }
+		inline void setMoveRain() { PRINTF(0)( "setting move true\n"); this->rainMove = true; }
 
-  private:
-    static SparkParticles*            rainParticles;
-    ParticleEmitter*                  emitter;
 
-    Vector                            rainCoord;
-    Vector2D                          rainSize;
-    GLfloat                           rainRate;
-    GLfloat                           rainVelocity;
+	private:
+		static SparkParticles*						rainParticles;
+		ParticleEmitter*									emitter;
 
-    SoundSource                       soundSource;
-    SoundBuffer*                      rainBuffer;
+		Vector														rainCoord;
+		Vector2D													rainSize;
+		GLfloat														rainRate;
+		GLfloat														rainVelocity;
+		GLfloat														rainLife;
+		bool															rainMove;
+
+		SoundSource												soundSource;
+		SoundBuffer*											rainBuffer;
 };
 
Index: branches/atmospheric_engine/src/lib/graphics/effects/snow_effect.cc
===================================================================
--- branches/atmospheric_engine/src/lib/graphics/effects/snow_effect.cc	(revision 7651)
+++ branches/atmospheric_engine/src/lib/graphics/effects/snow_effect.cc	(revision 7652)
@@ -1,14 +1,14 @@
 /*
-   orxonox - the future of 3D-vertical-scrollers
+	orxonox - the future of 3D-vertical-scrollers
 
-   Copyright (C) 2004 orx
+	Copyright (C) 2004 orx
 
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
+	This program is free software; you can redistribute it and/or modify
+	it under the terms of the GNU General Public License as published by
+	the Free Software Foundation; either version 2, or (at your option)
+	any later version.
 
 ### File Specific:
-   main-programmer: hdavid, amaechler
+	main-programmer: hdavid, amaechler
 */
 
@@ -38,12 +38,12 @@
 SnowEffect::SnowEffect(const TiXmlElement* root)
 {
-  this->setClassID(CL_SNOW_EFFECT, "SnowEffect");
+	this->setClassID(CL_SNOW_EFFECT, "SnowEffect");
 
-  this->init();
+	this->init();
 
-  if (root != NULL)
-    this->loadParams(root);
+	if (root != NULL)
+		this->loadParams(root);
 
-  this->activate();
+	this->activate();
 }
 
@@ -51,5 +51,5 @@
 SnowEffect::~SnowEffect()
 {
-  this->deactivate();
+	this->deactivate();
 }
 
@@ -58,69 +58,68 @@
 void SnowEffect::loadParams(const TiXmlElement* root)
 {
-  WeatherEffect::loadParams(root);
+	WeatherEffect::loadParams(root);
 
-  LoadParam(root, "numParticles", this, SnowEffect, numParticles);
-  LoadParam(root, "materialTexture", this, SnowEffect, materialTexture);
-  LoadParam(root, "lifeSpans", this, SnowEffect, lifeSpan);
-  LoadParam(root, "radius", this, SnowEffect, radius);
-  LoadParam(root, "mass", this, SnowEffect, mass);
-  LoadParam(root, "emissionRate", this, SnowEffect, emissionRate);
-  LoadParam(root, "emissionVelocity", this, SnowEffect, emissionVelocity);
-  LoadParam(root, "spread", this, SnowEffect, spread);
-  LoadParam(root, "size", this, SnowEffect, size);
-  LoadParam(root, "coord", this, SnowEffect, coord);
+	LoadParam(root, "numParticles", this, SnowEffect, numParticles);
+	LoadParam(root, "materialTexture", this, SnowEffect, materialTexture);
+	LoadParam(root, "lifeSpans", this, SnowEffect, lifeSpan);
+	LoadParam(root, "radius", this, SnowEffect, radius);
+	LoadParam(root, "mass", this, SnowEffect, mass);
+	LoadParam(root, "emissionRate", this, SnowEffect, emissionRate);
+	LoadParam(root, "emissionVelocity", this, SnowEffect, emissionVelocity);
+	LoadParam(root, "spread", this, SnowEffect, spread);
+	LoadParam(root, "size", this, SnowEffect, size);
+	LoadParam(root, "coord", this, SnowEffect, coord);
 }
 
 bool SnowEffect::init()
 {
-  this->emitter = new PlaneEmitter();
+	this->emitter = new PlaneEmitter();
 
-  // Default values
-  particles = 10000;
-  texture = "maps/snow_flake_01_32x32.png";
-  life = 8;
-  randomLife = 2;
-  snowRadius = 3.5;
-  randomRadius = 1;
-  snowMass = 1.0;
-  randomMass = 0.3;
-  rate = 900;
-  velocity = -100;
-  randomVelocity = 5;
-  angle = 0;
-  randomAngle = 0.3;
-  alpha = 0.5;
-  snowSize = Vector2D(1200, 1200);
-  snowCoord = Vector(100, 600, 200);
+	// Default values
+	particles = 10000;
+	texture = "maps/snow_flake_01_32x32.png";
+	life = 8;
+	randomLife = 2;
+	snowRadius = 3.5;
+	randomRadius = 1;
+	snowMass = 1.0;
+	randomMass = 0.3;
+	rate = 900;
+	velocity = -100;
+	randomVelocity = 5;
+	angle = 0;
+	randomAngle = 0.3;
+	alpha = 0.5;
+	snowSize = Vector2D(1200, 1200);
+	snowCoord = Vector(100, 600, 200);
 
-  activated = false;
+	activated = false;
 }
 
 bool SnowEffect::activate()
 {
-  PRINTF(0)("Activating SnowEffect\n");
-  activated = true;
-  
-  SnowEffect::snowParticles = new SpriteParticles(particles);
-  SnowEffect::snowParticles->setName("SnowEffectTrailParticles");
-  SnowEffect::snowParticles->setMaterialTexture(texture);
-  SnowEffect::snowParticles->setLifeSpan(life, randomLife);
-  SnowEffect::snowParticles->setRadius(0.0, snowRadius, randomRadius);
-  SnowEffect::snowParticles->setRadius(0.2, snowRadius, randomRadius);
-  SnowEffect::snowParticles->setRadius(1.0, snowRadius, randomRadius);
-  SnowEffect::snowParticles->setMass(0, snowMass, randomMass);
-  SnowEffect::snowParticles->setColor(0,1, 1, 1, alpha);
-  SnowEffect::snowParticles->setColor(.5, .6, .6, .6, alpha/2);
-  SnowEffect::snowParticles->setColor(1, .0, .0, .0, .0);
+	PRINTF(0)("Activating SnowEffect\n");
+	activated = true;
 
-  
-  this->emitter->setSystem(SnowEffect::snowParticles);
-  
- // this->updateNode(0);
-  this->emitter->setRelCoor(snowCoord);
-  this->emitter->setEmissionRate(rate);
-  this->emitter->setEmissionVelocity(velocity, randomVelocity);
-  this->emitter->setSpread(angle, randomAngle);
-  this->emitter->setSize(snowSize);
+	SnowEffect::snowParticles = new SpriteParticles(particles);
+	SnowEffect::snowParticles->setName("SnowEffectTrailParticles");
+	SnowEffect::snowParticles->setMaterialTexture(texture);
+	SnowEffect::snowParticles->setLifeSpan(life, randomLife);
+	SnowEffect::snowParticles->setRadius(0.0, snowRadius, randomRadius);
+	SnowEffect::snowParticles->setRadius(0.2, snowRadius, randomRadius);
+	SnowEffect::snowParticles->setRadius(1.0, snowRadius, randomRadius);
+	SnowEffect::snowParticles->setMass(0, snowMass, randomMass);
+	SnowEffect::snowParticles->setColor(0,1, 1, 1, alpha);
+	SnowEffect::snowParticles->setColor(.5, .6, .6, .6, alpha/2);
+	SnowEffect::snowParticles->setColor(1, .0, .0, .0, .0);
+
+	this->emitter->setSystem(SnowEffect::snowParticles);
+
+// this->updateNode(0);
+	this->emitter->setRelCoor(snowCoord);
+	this->emitter->setEmissionRate(rate);
+	this->emitter->setEmissionVelocity(velocity, randomVelocity);
+	this->emitter->setSpread(angle, randomAngle);
+	this->emitter->setSize(snowSize);
 }
 
@@ -128,18 +127,18 @@
 bool SnowEffect::deactivate()
 {
-  PRINTF(0)("Deactivating SnowEffect\n");
-  activated = false;
-  
-  this->emitter->setSystem(NULL);
+	PRINTF(0)("Deactivating SnowEffect\n");
+	activated = false;
+
+	this->emitter->setSystem(NULL);
 }
 
 void SnowEffect::activateSnow()
 {
-  this->activate();
+	this->activate();
 }
 
 void SnowEffect::deactivateSnow()
 {
-  this->deactivate();
+	this->deactivate();
 }
 
@@ -150,9 +149,9 @@
 void SnowEffect::tick(float dt)
 {
-  float distance = (State::getCameraNode()->getAbsCoor() - snowCoord).len();
-  if( activated && ( distance > 0.6*snowSize.x || distance > 0.6*snowSize.y) )
-    this->deactivate();
-  if( !activated && ( distance < 0.6*snowSize.x || distance < 0.6*snowSize.y ))
-    this->activate();
+	float distance = (State::getCameraNode()->getAbsCoor() - snowCoord).len();
+	if( activated && ( distance > 0.6*snowSize.x || distance > 0.6*snowSize.y) )
+		this->deactivate();
+	if( !activated && ( distance < 0.6*snowSize.x || distance < 0.6*snowSize.y ))
+		this->activate();
 }
 
Index: branches/atmospheric_engine/src/lib/graphics/effects/snow_effect.h
===================================================================
--- branches/atmospheric_engine/src/lib/graphics/effects/snow_effect.h	(revision 7651)
+++ branches/atmospheric_engine/src/lib/graphics/effects/snow_effect.h	(revision 7652)
@@ -1,5 +1,5 @@
 /**
- * @file snow_effect.h
- */
+* @file snow_effect.h
+*/
 
 #ifndef _SNOW_EFFECT
@@ -19,50 +19,50 @@
 class SnowEffect : public WeatherEffect
 {
-  public:
-    SnowEffect(const TiXmlElement* root = NULL);
-    virtual ~SnowEffect();
+	public:
+		SnowEffect(const TiXmlElement* root = NULL);
+		virtual ~SnowEffect();
 
-    virtual void loadParams(const TiXmlElement* root);
+		virtual void loadParams(const TiXmlElement* root);
 
-    virtual bool init();
+		virtual bool init();
 
-    virtual bool activate();
-    virtual bool deactivate();
+		virtual bool activate();
+		virtual bool deactivate();
 
-    virtual void draw() const;
-    virtual void tick(float dt);
+		virtual void draw() const;
+		virtual void tick(float dt);
 
-    void activateSnow();
-    void deactivateSnow();
+		void activateSnow();
+		void deactivateSnow();
 
-  private:
-    void numParticles(int n) { this->particles = n; }
-    void materialTexture(const std::string& texture) { this->texture = texture; }
-    void lifeSpan(float lifeSpan, float randomLifeSpan) { this->life = lifeSpan; this->randomLife = randomLifeSpan; }
-    void radius(float radius, float randomRadius) { this->snowRadius = radius; this->randomRadius = randomRadius; }
-    void mass(float mass, float randomMass) { this->snowMass = mass; this->randomMass = randomMass; }
-    void emissionRate(float emissionRate){ this->rate = emissionRate; }
-    void emissionVelocity(float velocity, float randomVelocity){ this->velocity = velocity; this->randomVelocity = randomVelocity; }
-    void spread(float angle, float randomAngle) { this->angle = angle; this->randomAngle = randomAngle; }
-    void size(float sizeX, float sizeY) { this->snowSize = Vector2D(sizeX, sizeY); }
-    void coord(float x, float y, float z) { this->snowCoord = Vector(x, y, z); }
+	private:
+		void numParticles(int n) { this->particles = n; }
+		void materialTexture(const std::string& texture) { this->texture = texture; }
+		void lifeSpan(float lifeSpan, float randomLifeSpan) { this->life = lifeSpan; this->randomLife = randomLifeSpan; }
+		void radius(float radius, float randomRadius) { this->snowRadius = radius; this->randomRadius = randomRadius; }
+		void mass(float mass, float randomMass) { this->snowMass = mass; this->randomMass = randomMass; }
+		void emissionRate(float emissionRate){ this->rate = emissionRate; }
+		void emissionVelocity(float velocity, float randomVelocity){ this->velocity = velocity; this->randomVelocity = randomVelocity; }
+		void spread(float angle, float randomAngle) { this->angle = angle; this->randomAngle = randomAngle; }
+		void size(float sizeX, float sizeY) { this->snowSize = Vector2D(sizeX, sizeY); }
+		void coord(float x, float y, float z) { this->snowCoord = Vector(x, y, z); }
 
-    int particles;
-    std::string texture;
-    float life, randomLife;
-    float snowRadius, randomRadius;
-    float snowMass, randomMass;
-    float rate;
-    float velocity, randomVelocity;
-    float angle, randomAngle;
-    float alpha;
-    Vector snowCoord;
-    Vector2D snowSize;
+		int particles;
+		std::string texture;
+		float life, randomLife;
+		float snowRadius, randomRadius;
+		float snowMass, randomMass;
+		float rate;
+		float velocity, randomVelocity;
+		float angle, randomAngle;
+		float alpha;
+		Vector snowCoord;
+		Vector2D snowSize;
 
-    bool activated;
+		bool activated;
 
-    static SpriteParticles* snowParticles;
+		static SpriteParticles* snowParticles;
 
-    PlaneEmitter*          emitter;
+		PlaneEmitter*          emitter;
 };
 
Index: branches/atmospheric_engine/src/lib/graphics/effects/volfog_effect.cc
===================================================================
--- branches/atmospheric_engine/src/lib/graphics/effects/volfog_effect.cc	(revision 7651)
+++ branches/atmospheric_engine/src/lib/graphics/effects/volfog_effect.cc	(revision 7652)
@@ -1,14 +1,14 @@
 /*
-   orxonox - the future of 3D-vertical-scrollers
+	orxonox - the future of 3D-vertical-scrollers
 
-   Copyright (C) 2004 orx
+	Copyright (C) 2004 orx
 
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
+	This program is free software; you can redistribute it and/or modify
+	it under the terms of the GNU General Public License as published by
+	the Free Software Foundation; either version 2, or (at your option)
+	any later version.
 
 ### File Specific:
-   main-programmer: hdavid, amaechler
+	main-programmer: hdavid, amaechler
 */
 
@@ -27,14 +27,14 @@
 VolFogEffect::VolFogEffect(const TiXmlElement* root)
 {
-  this->setClassID(CL_VOLFOG_EFFECT, "VolFogEffect");
+	this->setClassID(CL_VOLFOG_EFFECT, "VolFogEffect");
 
-  if (root != NULL)
-    this->loadParams(root);
+	if (root != NULL)
+		this->loadParams(root);
 
-  // Initialize Effect
-  this->init();
+	// Initialize Effect
+	this->init();
 
-  // Activate Effect
-  this->activate();
+	// Activate Effect
+	this->activate();
 }
 
@@ -42,49 +42,49 @@
 VolFogEffect::~VolFogEffect()
 {
-  this->deactivate();
+	this->deactivate();
 }
 
 void VolFogEffect::loadParams(const TiXmlElement* root)
 {
-  WeatherEffect::loadParams(root);
+	WeatherEffect::loadParams(root);
 }
 
 bool VolFogEffect::init()
 {
-  PRINTF(0)("Initalize VolFogEffect\n");
-  
-  if (glewInit() == GLEW_OK)
-    PRINTF(0)("glewInit OK\n");
-  else
-    PRINTF(0)("glewInit failed\n");
+	PRINTF(0)("Initalize VolFogEffect\n");
+	
+	if (glewInit() == GLEW_OK)
+		PRINTF(0)("glewInit OK\n");
+	else
+		PRINTF(0)("glewInit failed\n");
 
-  // Set fog color
-  float fogColor[4] = {0.0, 1.0, 0.0, 1.0};
+	// Set fog color
+	float fogColor[4] = {0.0, 1.0, 0.0, 1.0};
 
-  /* set up fog params */	
-  glEnable(GL_FOG);						// Enable Fog
-  glFogi(GL_FOG_MODE, GL_LINEAR);				// Fog Fade Is Linear
-  glFogfv(GL_FOG_COLOR, fogColor);				// Set The Fog Color
-  glFogf(GL_FOG_START, 0.0f);					// Set The Fog Start
-  glFogf(GL_FOG_END, 1.0f);					// Set The Fog End
-  glFogi(GL_FOG_COORDINATE_SOURCE_EXT, GL_FOG_COORDINATE_EXT);	// Set The Fog based on vertice coordinates
-  // glHint(GL_FOG_HINT, GL_NICEST);				// Per-Pixel Fog Calculation
+	/* set up fog params */	
+	glEnable(GL_FOG);						// Enable Fog
+	glFogi(GL_FOG_MODE, GL_LINEAR);				// Fog Fade Is Linear
+	glFogfv(GL_FOG_COLOR, fogColor);				// Set The Fog Color
+	glFogf(GL_FOG_START, 0.0f);					// Set The Fog Start
+	glFogf(GL_FOG_END, 1.0f);					// Set The Fog End
+	glFogi(GL_FOG_COORDINATE_SOURCE_EXT, GL_FOG_COORDINATE_EXT);	// Set The Fog based on vertice coordinates
+	// glHint(GL_FOG_HINT, GL_NICEST);				// Per-Pixel Fog Calculation
 
-  // glClearColor(0.0, 0.0, 0.0, 1.0);  //sets bg color?!
+	// glClearColor(0.0, 0.0, 0.0, 1.0);  //sets bg color?!
 
-  /* enable texturing & set texturing function */
-  // glEnable(GL_TEXTURE_2D);
-  // glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_REPLACE);
+	/* enable texturing & set texturing function */
+	// glEnable(GL_TEXTURE_2D);
+	// glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_REPLACE);
 
-  if (glewGetExtension("GL_EXT_fog_coord"))
-  {
-    PRINTF(0)("GL_EXT_fog_coord extension found\n");
-    return true;
-  }
-  else
-  {
-    PRINTF(0)("GL_EXT_fog_coord extension NOT found\n");
-    return false;
-  }
+	if (glewGetExtension("GL_EXT_fog_coord"))
+	{
+		PRINTF(0)("GL_EXT_fog_coord extension found\n");
+		return true;
+	}
+	else
+	{
+		PRINTF(0)("GL_EXT_fog_coord extension NOT found\n");
+		return false;
+	}
 }
 
@@ -92,16 +92,16 @@
 bool VolFogEffect::activate()
 {
-  PRINTF(0)("Activating VolFogEffect\n");
+	PRINTF(0)("Activating VolFogEffect\n");
 }
 
 bool VolFogEffect::deactivate()
 {
-  PRINTF(0)("Deactivating VolFogEffect\n");
+	PRINTF(0)("Deactivating VolFogEffect\n");
 }
 
 
 /**
- * draws the effect, if needed
- */
+* draws the effect, if needed
+*/
 void VolFogEffect::draw() const
 {
@@ -134,5 +134,5 @@
 
 	glBegin(GL_QUADS); // Back Wall
-	 	glFogCoordfEXT(0.0f);	glVertex3f(0.0f,0.0f,0.0f);
+		glFogCoordfEXT(0.0f);	glVertex3f(0.0f,0.0f,0.0f);
 		glFogCoordfEXT(0.0f);	glVertex3f( 100.0f,0.0f,0.0f);
 		glFogCoordfEXT(1.0f);	glVertex3f( 100.0f, 100.0f,0.0f);
@@ -141,5 +141,5 @@
 
 	glBegin(GL_QUADS); // Front Wall
-	 	glFogCoordfEXT(0.0f);	glVertex3f(0.0f,0.0f,100.0f);
+		glFogCoordfEXT(0.0f);	glVertex3f(0.0f,0.0f,100.0f);
 		glFogCoordfEXT(0.0f);	glVertex3f( 100.0f,0.0f,100.0f);
 		glFogCoordfEXT(1.0f);	glVertex3f( 100.0f, 100.0f,100.0f);
@@ -155,5 +155,5 @@
 
 	glBegin(GL_QUADS); // Left Wall
-	 	glFogCoordfEXT(0.0f);	glVertex3f(0.0f,0.0f, 100.0f);
+		glFogCoordfEXT(0.0f);	glVertex3f(0.0f,0.0f, 100.0f);
 		glFogCoordfEXT(1.0f);	glVertex3f(0.0f, 100.0f, 100.0f);
 		glFogCoordfEXT(1.0f);	glVertex3f(0.0f, 100.0f,0.0f);
@@ -169,6 +169,6 @@
 
 /**
- * ticks the effect if there is any time dependancy
- */
+* ticks the effect if there is any time dependancy
+*/
 void VolFogEffect::tick(float dt)	
 {
Index: branches/atmospheric_engine/src/lib/graphics/effects/volfog_effect.h
===================================================================
--- branches/atmospheric_engine/src/lib/graphics/effects/volfog_effect.h	(revision 7651)
+++ branches/atmospheric_engine/src/lib/graphics/effects/volfog_effect.h	(revision 7652)
@@ -1,5 +1,5 @@
 /**
- * @file volfog_effect.h
- */
+* @file volfog_effect.h
+*/
 
 #ifndef _VOLFOG_EFFECT
@@ -12,20 +12,20 @@
 class VolFogEffect : public WeatherEffect
 {
-  public:
-    VolFogEffect(const TiXmlElement* root = NULL);
-    virtual ~VolFogEffect();
+	public:
+		VolFogEffect(const TiXmlElement* root = NULL);
+		virtual ~VolFogEffect();
 
-    virtual void loadParams(const TiXmlElement* root);
+		virtual void loadParams(const TiXmlElement* root);
 
-    virtual bool init();
+		virtual bool init();
 
-    virtual bool activate();
-    virtual bool deactivate();
+		virtual bool activate();
+		virtual bool deactivate();
 
-    virtual void draw() const;
-    virtual void tick(float dt);
+		virtual void draw() const;
+		virtual void tick(float dt);
 
-  private:
-    GLfloat fogColor[4];
+	private:
+		GLfloat fogColor[4];
 
 };
